<?php

namespace Testprovider\Testpackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarTransformer extends TransformerAbstract
{
    public function transform(\Testprovider\Testpackage\Models\Car $car)
    {
        return [
            'id'                => $car->getRouteKey(),
            'key'               => [
                'public'    => $car->getPublicKey(),
                'route'     => $car->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('testpackage/'.$car->getPublicKey()),
                'user'      => guard_url('testpackage/car/'.$car->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car->status),
            'created_at'        => format_date($car->created_at),
            'updated_at'        => format_date($car->updated_at),
        ];
    }
}